<h2 class="tag_page_title"><button type="button" class="btn setting_navigation" onclick="$('.tag_sett_sidebar').fadeIn(50);$('#tag_sett_right_prt').fadeOut(50);"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z" fill="currentColor"></path></svg></button> <?php echo $wo['lang']['notification_settings']; ?></h2>
<div class="wow_sett_content wow_content p20">
	<?php if ($wo['config']['emailNotification'] == 1) {?>
		<div class="valign">
			<ul class="valign nav tag_switch_noti" role="tablist">
				<li class="active"><a href="<?php echo Wo_SeoLink('index.php?link1=setting&' . $wo['user_setting'] . 'page=notifications-settings');?>" data-ajax="?link1=setting&<?php echo $wo['user_setting'];?>page=notifications-settings"><?php echo $wo['lang']['notification_settings'];?></a></li>
				<li><a href="<?php echo Wo_SeoLink('index.php?link1=setting&' . $wo['user_setting'] . 'page=email-setting');?>" data-ajax="?link1=setting&<?php echo $wo['user_setting'];?>page=email-setting"><?php echo $wo['lang']['email_notification'];?></a></li>
			</ul>
		</div>
	<?php } ?>
	
	<?php
	if (!empty($wo['setting']['notification_settings'])) {
		$wo['setting']['notification_settings'] = (Array) json_decode(html_entity_decode($wo['setting']['notification_settings']));
	}
	?>
	<form class="setting-general-form form-horizontal wo_settings_page" method="post">
		<div class="setting-general-alert setting-update-alert"></div>
		
		<div class="row">
         	<div class="col-md-3"><h5><?php echo $wo['lang']['notify_me_when']; ?></h5></div>
         	<div class="col-lg-9">
				<?php $selected_e_liked   = ($wo['setting']['notification_settings']['e_liked'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_liked" id="e_liked" value="1" <?php echo $selected_e_liked; ?>>
					<label for="e_liked"><?php echo $wo['lang']['e_likes_my_posts']; ?></label>
				</div>

				<?php if ($wo['config']['second_post_button'] != 'disabled' && $wo['config']['second_post_button'] != 'reaction') { ?>
					<?php $selected_e_wondered   = ($wo['setting']['notification_settings']['e_wondered'] == 1)   ? ' checked' : ''; ?>
					<div class="col-xs-12 round-check">
						<input type="checkbox" name="e_wondered" id="e_wondered" value="1" <?php echo $selected_e_wondered; ?>>
						<label for="e_wondered"><?php echo ($wo['config']['second_post_button'] == 'wonder') ? $wo['lang']['e_wondered_my_posts'] : $wo['lang']['e_disliked_my_posts']; ?></label>
					</div>
				<?php } ?>

				<?php $selected_e_commented   = ($wo['setting']['notification_settings']['e_commented'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_commented" id="e_commented" value="1" <?php echo $selected_e_commented; ?>> 
					<label for="e_commented"><?php echo $wo['lang']['e_commented_my_posts']; ?></label>
				</div>

				<?php $selected_e_shared = ($wo['setting']['notification_settings']['e_shared'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_shared" id="e_shared" value="1" <?php echo $selected_e_shared; ?>> 
					<label for="e_shared"><?php echo $wo['lang']['e_shared_my_posts']; ?></label>
				</div>

				<?php $selected_e_followed = ($wo['setting']['notification_settings']['e_followed'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_followed" id="e_followed" value="1" <?php echo $selected_e_followed; ?>>  
					<label for="e_followed"><?php echo $wo['lang']['e_followed_me']; ?></label>
				</div>

				<?php $selected_e_liked_page = ($wo['setting']['notification_settings']['e_liked_page'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_liked_page" id="e_liked_page" value="1" <?php echo $selected_e_liked_page; ?>>  
					<label for="e_liked_page"><?php echo $wo['lang']['e_liked_page']; ?></label>
				</div>

				<?php $selected_e_visited = ($wo['setting']['notification_settings']['e_visited'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_visited" id="e_visited" value="1" <?php echo $selected_e_visited; ?>>  
					<label for="e_visited"><?php echo $wo['lang']['e_visited_my_profile']; ?></label>
				</div>

				<?php $selected_e_mentioned = ($wo['setting']['notification_settings']['e_mentioned'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_mentioned" id="e_mentioned" value="1" <?php echo $selected_e_mentioned; ?>>  
					<label for="e_mentioned"><?php echo $wo['lang']['e_mentioned_me']; ?></label>
				</div>

				<?php $selected_e_joined_group = ($wo['setting']['notification_settings']['e_joined_group'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_joined_group" id="e_joined_group" value="1" <?php echo $selected_e_joined_group; ?>>  
					<label for="e_joined_group"><?php echo $wo['lang']['e_joined_group']; ?></label>
				</div>

				<?php $selected_e_accepted = ($wo['setting']['notification_settings']['e_accepted'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_accepted" id="e_accepted" value="1" <?php echo $selected_e_accepted; ?>> 
					<label for="e_accepted"><?php echo $wo['lang']['e_accepted']; ?></label>
				</div>

				<?php $selected_e_profile_wall_post = ($wo['setting']['notification_settings']['e_profile_wall_post'] == 1)   ? ' checked' : ''; ?>
				<div class="col-xs-12 round-check">
					<input type="checkbox" name="e_profile_wall_post" id="e_profile_wall_post" value="1" <?php echo $selected_e_profile_wall_post; ?>> 
					<label for="e_profile_wall_post"><?php echo $wo['lang']['e_profile_wall_post']; ?></label>
				</div>

				<?php if ($wo['config']['memories_system'] != 0) { ?>
					<?php $selected_e_memory = ($wo['setting']['notification_settings']['e_memory'] == 1)   ? ' checked' : ''; ?>
					<div class="col-xs-12 round-check">
						<input type="checkbox" name="e_memory" id="e_memory" value="1" <?php echo $selected_e_memory; ?>> 
						<label for="e_memory"><?php echo $wo['lang']['memory_this_day']; ?></label>
					</div>
			    <?php } ?>
			</div>
		</div>
		
		<div class="text-center">
			<button type="submit" class="btn btn-main btn-mat btn-mat-raised disable_btn"><?php echo $wo['lang']['save']; ?></button>
		</div>
		<input type="hidden" name="user_id" value="<?php echo $wo['setting']['user_id'];?>">
		<input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
	</form>
</div>

<script type="text/javascript">
$(function() {
  $('form.setting-general-form').ajaxForm({
    url: Wo_Ajax_Requests_File() + '?f=update_notifications_settings',
    beforeSend: function() {
      $('.wo_settings_page').find('.disable_btn').attr('disabled','disabled');
    },
    success: function(data) {
      scrollToTop();
      if (data.status == 200) {
        $('.setting-general-alert').html('<div class="alert alert-success">' + data.message + '</div>');
        $('.alert-success').fadeIn('fast', function() {
           $(this).delay(2500).slideUp(500, function() {
              $(this).remove();
            });
        });
      } 
      $('.wo_settings_page').find('.disable_btn').removeAttr("disabled");
    }
  });
});
</script>